Download it now!
Bug 130310 - Sidebar Icon not loaded/Shown from sidebar.xcu "IconURL"
Summary: Sidebar Icon not loaded/Shown from sidebar.xcu "IconURL"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
6.3.3.2 release
Hardware: All All
: medium normal
Assignee: Ilhan Yesil
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-01-31 09:51 UTC by Michael Massee
Modified: 2020-03-27 08:19 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Missing Sidebar-Icon 1 (27.80 KB, image/png)
2020-01-31 09:51 UTC, Michael Massee
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Massee 2020-01-31 09:51:11 UTC
Created attachment 157552 [details]
Missing Sidebar-Icon 1

Hallo,

There are 2 elements in the sidebar.xcu to define Icons for an Extension


<prop oor:name="IconURL" oor:type="xs:string">
<value>vnd.sun.star.extension://de.petanqueturniermanager/images/petanqueturniermanager-logo-32px.png</value> 
</prop>

and 
<prop oor:name="HighContrastIconURL" oor:type="xs:string">

Worked fine until i did upgrade to 6.3.

The Sidbarpanel is still okay, but the Icon is not drawn.

Tested 24px and 16px size Icons
Tested Linux and Windows
Tested in 6.3.x and 6.4.x

No Luck

Also tested other Extensions like "WollMux" with Sidebar panels. The have the same Issue.

Any other way to set the Icon from inside my Extension Java Code ?

regards
Comment 1 Oliver Brinzing 2020-01-31 10:09:03 UTC
(In reply to Michael Massee from comment #0)

> Worked fine until i did upgrade to 6.3.

Have you tried with a new userprofile ?

Does it work with an internal icon, e.g.:

<prop oor:name="IconURL" oor:type="xs:string">
  <value>private:graphicrepository/cmd/lc_testmode.png</value>
</prop>
Comment 2 Michael Massee 2020-01-31 11:52:07 UTC
> Does it work with an internal icon, e.g.:

<prop oor:name="IconURL" oor:type="xs:string">
	<value>private:graphicrepository/cmd/lc_testmode.png</value>
</prop>


Yes is okay.


> Have you tried with a new userprofile ?

sorry i don't understand.
Comment 3 Julien Nabet 2020-01-31 21:11:55 UTC
(In reply to Michael Massee from comment #2)
>...
> > Have you tried with a new userprofile ?
> 
> sorry i don't understand.
See https://wiki.documentfoundation.org/UserProfile
Comment 4 Michael Massee 2020-02-01 09:04:06 UTC
(In reply to Julien Nabet from comment #3)
> (In reply to Michael Massee from comment #2)
> >...
> > > Have you tried with a new userprofile ?
> > 
> > sorry i don't understand.
> See https://wiki.documentfoundation.org/UserProfile

Okay thanks, never got a Problem with this :-)

So what i did:

1. restart in security mode, and Reseting to Factory Settings. Install the Extension, Still no Icon

2. Delete the /home/michael/.config/libreoffice/4 directory. Install the Extension, Still no Icon.

To reproduce, install 
https://github.com/WollMux/WollMux/releases/tag/RELEASE_18.1.9

I do exact the same in my sidebar.xcu

Is there more i can do to help ??? need more Infos ?

have a nice day ....
Comment 5 Oliver Brinzing 2020-02-01 09:23:51 UTC
(In reply to Michael Massee from comment #4)
> To reproduce, install 
> https://github.com/WollMux/WollMux/releases/tag/RELEASE_18.1.9

confirming with:

Version: 6.3.4.2 (x64)
Build-ID: 60da17e045e08f1793c57c00ba83cdfce946d0aa
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: 

but worked with:

Version: 6.2.8.2 (x64)
Build-ID: f82ddfca21ebc1e222a662a32b25c0c9d20169ee
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc:
Comment 6 Michael Weghorn 2020-02-03 08:51:32 UTC
Bibisect result: The issue starts at this commit:

commit ac6fe36ac6ccebf3bf891b891bd47c8e3744a056
Author: Michael Meeks <michael.meeks@collabora.com>
Date:   Mon Nov 26 16:59:42 2018 +0000

    Use lazy-loading stock Image to simplify framework image lists.
    
    Project stock names through XGraphic via origin URL.
    
    (cherry picked from commit 77b88eebaadebb626108172e4f2de36c60960051)
    
    Change-Id: Ib445694f7c142a163ef7e7bc0beea39b88b99e14
    Reviewed-on: https://gerrit.libreoffice.org/79420
    Tested-by: Jenkins
    Reviewed-by: Michael Meeks <michael.meeks@collabora.com>

and the cherry-pick to 6.3 branch refers to tdf#126293.

Adding CC: to Michael Meeks
Comment 7 Commit Notification 2020-03-26 11:52:14 UTC
ilhan committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9e7c6ec4fae6fed40cbbf79a3e6e0b491357a178

tdf#130310 Load Sidebar Icons for extensions

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-03-26 11:52:23 UTC
ilhan committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/206e1ec3813a2d2765a206de75c70edd3b39f091

tdf#130310 Load Sidebar Icons for extensions

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.